; Copyright 1995-2013 Freedom Scientific, Inc.
; JAWS Script file for WordPad

include "HJConst.jsh"
include "HJGlobal.jsh"
include "common.jsm"
include "WordPad.jsm"
Globals
	int giUpDownArrow

Script ScriptFileName()
ScriptAndAppNames(WordPadAppName)
EndScript

void Function SayHighLightedText (handle hwnd, string buffer)
var
	handle hCurWnd,
	int iSubtype
if (GetScreenEcho() > 0) then
	let hCurWnd = GetCurrentWindow()
	let iSubtype = GetWindowSubtypeCode(hCurWnd)
	if GetWindowName(GetRealWindow(hCurWnd)) == wn_FontDialog
	&& hWnd != hCurWnd
	&& (iSubtype==wt_EditCombo || iSubtype==wt_ComboBox) then
		return
	EndIf
endIf
SayHighLightedText(hwnd,buffer)
EndFunction

Void function ProcessBoundaryStrike(handle hWnd, int edge)
var
	int iType
Let iType = GetWindowSubTypeCode(hWnd)
if iType == wt_MultiLine_edit then
	if giUpDownArrow then
		let giUpDownArrow=false
		return
	else
		Beep()
		return
	EndIf
EndIf
ProcessBoundaryStrike(hwnd,edge)
EndFunction

Void Function ProcessKeyPressed(int nKey, string strKeyName, int nIsBrailleKey, int nIsScriptKey)
if GetWindowSubtypeCode(GetFocus())==wt_multiLine_Edit
&& (nKey==key_UpARrow
|| nKey==key_DownArrow) then
	let giUpDownArrow=true
EndIf
ProcessKeyPressed(nKey,strKeyName,nIsBrailleKey,nIsScriptKey)
EndFunction

void function GetWindowTitleForApplication(handle hAppWnd, handle hRealWnd, handle hCurWnd, int iTypeCode,
	string ByRef sTitle, string ByRef sSubTitle, int ByRef bHasPage)
var
	string sText1,
	string sText2,
	string sText3
bHasPage = false
sText1 = GetWindowName(hAppWnd)
if hRealWnd != hAppWnd
	if hRealWnd != hCurWnd
		sText2 = GetWindowName(hRealWnd)
	endif
endif
If IsMultiPageDialog()
	if !sText2
		sText2 = sText1
	endIf
	sText3 = GetDialogPageName ()
	bHasPage = true
	sTitle = sText2
	sSubTitle = sText3
	return
endIf
if sText2
&& stringContains(sText1, sText2)
	; app window title contains document name
	sText2 = cscNull
endIf
sTitle = sText1
sSubTitle = sText2
EndFunction

Script SayMyName ()
; assigned to F4.
SayString ("my name is Brian")



EndScript

Script FileList ()
; assigned to control shift O.
Saystring ("please wait")
SpeechOff ()
{control+o}
pause ()
{shift+tab}
pause ()
{shift+tab}
pause ()
SpeechOn ()
SayLine ()





EndScript
